# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger Class Reference

`#include <PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger ()
| PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger (const Handle(PColStd_HArray1OfInteger)&aValue)
void | SetValue (const Handle(PColStd_HArray1OfInteger)&aValue)
Standard_Address | Value () const

## Private Attributes

Handle_PColStd_HArray1OfInteger | myValue

## Constructor & Destructor Documentation

PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger | ( |  | ) |

PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger | ( | const Handle(PColStd_HArray1OfInteger)& | aValue | ) |

## Member Function Documentation

void PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::SetValue | ( | const Handle(PColStd_HArray1OfInteger)& | aValue | ) |

Standard_Address PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::Value | ( |  | ) | const

## Field Documentation

Handle_PColStd_HArray1OfInteger PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- PDataStd_VArrayTNodeOfFieldOfHArray1OfHArray1OfInteger.hxx